﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Lastgang
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //Buch c = new Buch();
            //c.titel = "ddckdfkdrfzu";
            Nachtleuchte b = new Nachtleuchte(60.0);
            Waschmaschine w1 = new Waschmaschine();
            Waschmaschine w2= new Waschmaschine();
            Waschmaschine w3 = new Waschmaschine();
            Waschmaschine[] waschmaschinen = new Waschmaschine[100];
            for (int i = 0; i < 100; i++)
            {
                waschmaschinen[i] = new Waschmaschine();
            }

            //double d = b.bestimmeLeistung(3.7);

            Polyline poly = new Polyline();

            for (int stunde = 0; stunde < 24; stunde++)
            {
                for (int minute = 0; minute < 60; minute++)
                {
                    double zeit = stunde + minute / 60.0;
                    double p = 0.0;
                    //w1.bestimmeLeistung(zeit);
                    //p += w2.bestimmeLeistung(zeit);
                    //p += w3.bestimmeLeistung(zeit);
                    //p += b.bestimmeLeistung(zeit);
                    for (int i = 0; i < 100; i++)
                    {
                        p += waschmaschinen[i].bestimmeLeistung(zeit);
                    }

                    double x = zeit / 24.0 * zeichenfläche.Width;
                    // p an Oberkante: 100000 W
                    double y = (1.0 - p / 100000.0) * zeichenfläche.Height;
                    Point punkt = new Point(x, y);
                    poly.Points.Add(punkt);
                }
            }

            poly.Stroke = Brushes.Red;
            poly.StrokeThickness = 2.0;
            zeichenfläche.Children.Clear();
            zeichenfläche.Children.Add(poly);
        }
    }
}
